@import url('https://fonts.googleapis.com/css2?family=Original+Surfer&family=Protest+Guerrilla&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    direction:ltr;
}

body {
    font-family: "poppins", sans-serif;
    background-image: url(,.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    padding: 0;
    margin: 0;
}

h2{
  color: white;
  font-family: "protest guerrilla";
}

.main-container {
    display: flex;
    width: 100%;
    height: 100vh;
    
}

.header{
display: none;
}

.profile-container {

    border-radius: 12px;
    padding: 20px;
    margin-left: 22%;
    flex: 1;
   
}

ul {
    list-style: none;
  }
  
  
  
  hr {
    color: purple;
    width: 85%;
  }


.profile-header {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.profile-image {
    width: 130px;
    height: 130px;
    border-radius: 50%;
}

.profile-info {
    flex: 1;
}

.u {
  padding-left: 900px;
 
}

.profile-info h2 {
    color: purple;
    margin-bottom: 10px;
    font-size: 25px;
}

.profile-info p {
    font-size: 14px;
    color: white;
}

.fitness-stats-section {
    background-color: solid;
    border-radius: 15px;
    padding: 15px;
}

.fitness-stats-section h3 {
    color: white;
    margin-bottom: 15px;
    font-size: 20px;
    font-weight:bold;
}

.timeline {
    border-left: 2px solid white;
    padding-left: 20px;
    position: relative;
}

.timeline .activity {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    position: relative;
}

.timeline .activity:before {
    content: '';
    width: 15px;
    height: 12px;
    background-color: purple;
    border-radius: 50%;
    position: absolute;
    left: -29px;
    top: 10px;
}

.activity-info {
    display: flex;
    flex-direction: column;
}

.activity p {
    font-weight: bold;
    margin-bottom: 10px;
    font-size: 14px;
}

.activity span {
    font-size: 12px;
    color: white;
}

.status {
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 12px;
}

.green {
    background-color: green;
    color: white;
}

.red {
    background-color: red;
    color: white;
}


.activity {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    position: relative;
    padding: 10px; 
    border-radius: 5px;
    color: white;
}

.activity.walking {
    border: 3px solid purple;
    border-radius: 20px ;
}

.activity.calories {
    border: 3px solid purple;
    border-radius: 20px ; 
}

.activity.sleep {
    border: 3px solid purple;
    border-radius: 20px ; 
}

.activity.app-usage {
    border: 3px solid purple;
    border-radius: 20px ;
}

.activity.activity-minutes {
    border: 3px solid purple;
    border-radius: 20px ; 
}



@media screen and (max-width: 768px) {
    .profile-container {
        margin-left: 0;
    }

    .profile-header {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .timeline .activity {
        flex-direction: column;
        align-items: flex-start;
    }

    .timeline .activity .status {
        margin-top: 10px;
    }
}

@media screen and (max-width: 480px) {
    .profile-image {
      margin-top: 50px;
        width: 150px;
        height: 150px;
    }

    .profile-info h2 {
        font-size: 20px;
    }

    .profile-info p {
        font-size: 13px;
    }

    .activity-info p {
        font-size: 13px;
    }

    .activity-info span {
        font-size: 11px;
    }

    .status {
        font-size: 11px;
    }
    hr {
        width: 100%;
    }
}

.toggle {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: space-between;
  top: 16px;
  left: 20px;
  color: white;
  
}

.toggle .logo img.sidebar-header {
  object-fit: contain;
  width: 140px;
  margin-left: 10px;
  display: block;
}
.toggle .logo {
  display: flex;
  gap: 2px;
}
.toggle .logo img {
  display: none;
}

.toggle .close {
  padding-right: 1rem;
  display: none;
}
.sidebar {
  height: 95vh;
  width: 200px;
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 12px;
  left: 10px;
  background-color: transparent;
  backdrop-filter: blur(20px);
  box-shadow: rgba(177, 26, 121, 0.25) 0px 13px 27px -5px,
    #ffffff4d 0px 8px 16px -8px;
  border-radius: 15px;
  color: white;
  padding-top: 10px;
  transition: all 0.3s ease;
  
}
.sidebar:hover {
  box-shadow: none;
}
.sidebar h3 {
  font-size: 16px;
  margin-top: 10px;
  color: white;
}

.sidebar a {
  text-decoration: none;
  display: flex;
  align-items: center;
  color: white;
  height: 3rem;
  gap: 1rem;
  position: relative;
  margin-left: 2rem;
  top: 60px;
  transition: all 0.3s ease;
}
.sidebar a span {
  font-size: 1.4rem;
  transition: all 0.3s ease;
}
.sidebar a:last-child {
  position: absolute;
  top: 90%;
}
.sidebar a.active {
  background: purple;
  width: 95%;
  margin-left: 0;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}

.sidebar a.active::before {
  content: "";
  width: 6px;
  height: 18px;
  background-color: orchid;
}
.sidebar a.active span {
  color: orchid;
  margin-left: calc(1rem - 3px);
}
.sidebar a:hover {
  color: orchid;
}
.sidebar a:hover h3 {
  color: orchid;
}
.sidebar a:hover span {
  margin-left: 0.6rem;
}
@media screen and (max-width: 1200px) {
  .sidebar h3 {
    display: none;
  }
  .toggle .logo img.sidebar-header {
    display: none;
  }
  .toggle {
    top: 0;
  }
  .toggle .logo img {
    display: inline;
    object-fit: contain;
    width: 150px;
    margin-top: 10px;
    height: 50px;
    margin-left: -50px;
  }
  .sidebar {
    width: 85px;
  }
  .sidebar a {
    width: 5.6rem;
  }
  .sidebar a:last-child {
    top: 83%;
  }
}
@media screen and (max-width: 786px) {
  .sidebar {
    display: none;
    z-index: 3;
    width: 250px;
    top: 0;
    height: 100vh;
    box-shadow: 1rem 3rem 4rem rgba(177, 26, 121, 0.25);
    animation: showMenu 0.4s ease forwards;
  }
  @keyframes showMenu {
    to {
      left: 0;
    }
  }
  .sidebar h3 {
    display: flex;
  }
  .sidebar a {
    width: 100%;
  }
  .sidebar a:last-child {
    position: absolute;
    bottom: 5rem;
  }
  .toggle .close {
    display: inline-block;
    cursor: pointer;
  }
  .toggle {
    margin-left: 0;
    margin-top: 18px;
    gap: 20px;
  }
  .toggle .logo img.sidebar-header {
    display: inline;
  }
  .toggle .logo img {
    display: none;
  }
  .header {
    display: inline;
    color: white;
    position: fixed;
    top: 0;
    z-index: 3;
    background-color: transparent;
    backdrop-filter: blur(20px);
    width: 100%;
    margin-left: 0;
    padding: 10px;
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 15px;
  }
  .menu {
    display: flex;
    width: 55vw;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px;
  }
  .menu span {
    font-size: 1.6rem;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  .menu span:hover {
    color: orchid;
  }
  .menu h1 {
    color: white;
  }
}
.edit {
  align-items: center;
  justify-content: center;
  padding-left: 500px;
}
@media screen and (max-width: 480px){
  .edit {
    align-items: center;
    justify-content: center;
    padding-left: 160px;
  }
}

.icon-text-row {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.icon {
  margin-right: 10px;
  width: 20px;
  height: 20px;
}